
From: Adrian Bunk <bunk@stusta.de>

This patch does the following cleanups under drivers/video/kyro/ :
- remove an unused global varaible from STG4000Ramdac.c
- make some needlessly global code static

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/kyro/STG4000InitDevice.c    |    4 ++--
 25-akpm/drivers/video/kyro/STG4000OverlayDevice.c |    4 ++--
 25-akpm/drivers/video/kyro/STG4000Ramdac.c        |    1 -
 25-akpm/drivers/video/kyro/fbdev.c                |   14 ++++++++------
 25-akpm/include/video/kyro.h                      |    2 --
 5 files changed, 12 insertions(+), 13 deletions(-)

diff -puN drivers/video/kyro/fbdev.c~small-drivers-video-kyro-cleanups drivers/video/kyro/fbdev.c
--- 25/drivers/video/kyro/fbdev.c~small-drivers-video-kyro-cleanups	2005-01-25 21:27:05.919080784 -0800
+++ 25-akpm/drivers/video/kyro/fbdev.c	2005-01-25 21:27:05.929079264 -0800
@@ -307,7 +307,7 @@ enum {
 };
 
 /* Accessors */
-int kyro_dev_video_mode_set(struct fb_info *info)
+static int kyro_dev_video_mode_set(struct fb_info *info)
 {
 	struct kyrofb_info *par = (struct kyrofb_info *)info->par;
 
@@ -339,8 +339,8 @@ int kyro_dev_video_mode_set(struct fb_in
 	return 0;
 }
 
-int kyro_dev_overlay_create(u32 ulWidth,
-			    u32 ulHeight, int bLinear)
+static int kyro_dev_overlay_create(u32 ulWidth,
+				   u32 ulHeight, int bLinear)
 {
 	u32 offset;
 	u32 stride, uvStride;
@@ -376,7 +376,7 @@ int kyro_dev_overlay_create(u32 ulWidth,
 	return 0;
 }
 
-int kyro_dev_overlay_viewport_set(u32 x, u32 y, u32 ulWidth, u32 ulHeight)
+static int kyro_dev_overlay_viewport_set(u32 x, u32 y, u32 ulWidth, u32 ulHeight)
 {
 	if (deviceInfo.ulOverlayOffset == 0)
 		/* probably haven't called CreateOverlay yet */
@@ -558,7 +558,8 @@ static int kyrofb_setcolreg(u_int regno,
 	return 0;
 }
 
-int __init kyrofb_setup(char *options)
+#ifndef MODULE
+static int __init kyrofb_setup(char *options)
 {
 	char *this_opt;
 
@@ -583,6 +584,7 @@ int __init kyrofb_setup(char *options)
 
 	return 0;
 }
+#endif
 
 static int kyrofb_ioctl(struct inode *inode, struct file *file,
 			unsigned int cmd, unsigned long arg,
@@ -786,7 +788,7 @@ static void __devexit kyrofb_remove(stru
 	kfree(info);
 }
 
-int __init kyrofb_init(void)
+static int __init kyrofb_init(void)
 {
 #ifndef MODULE
 	char *option = NULL;
diff -puN drivers/video/kyro/STG4000InitDevice.c~small-drivers-video-kyro-cleanups drivers/video/kyro/STG4000InitDevice.c
--- 25/drivers/video/kyro/STG4000InitDevice.c~small-drivers-video-kyro-cleanups	2005-01-25 21:27:05.920080632 -0800
+++ 25-akpm/drivers/video/kyro/STG4000InitDevice.c	2005-01-25 21:27:05.929079264 -0800
@@ -79,8 +79,8 @@ volatile u32 i,count=0; \
     for(i=0;i<X;i++) count++; \
 }
 
-u32 InitSDRAMRegisters(volatile STG4000REG __iomem *pSTGReg, u32 dwSubSysID,
-			 u32 dwRevID)
+static u32 InitSDRAMRegisters(volatile STG4000REG __iomem *pSTGReg,
+			      u32 dwSubSysID, u32 dwRevID)
 {
 	u32 adwSDRAMArgCfg0[] = { 0xa0, 0x80, 0xa0, 0xa0, 0xa0 };
 	u32 adwSDRAMCfg1[] = { 0x8732, 0x8732, 0xa732, 0xa732, 0x8732 };
diff -puN drivers/video/kyro/STG4000OverlayDevice.c~small-drivers-video-kyro-cleanups drivers/video/kyro/STG4000OverlayDevice.c
--- 25/drivers/video/kyro/STG4000OverlayDevice.c~small-drivers-video-kyro-cleanups	2005-01-25 21:27:05.922080328 -0800
+++ 25-akpm/drivers/video/kyro/STG4000OverlayDevice.c	2005-01-25 21:27:05.930079112 -0800
@@ -42,8 +42,8 @@
 #define STG4000_OVRL_MAX_HEIGHT 576
 
 /* Decimation and Scaling */
-u32 adwDecim8[33] = {
-	0xffffffff, 0xfffeffff, 0xffdffbff, 0xfefefeff, 0xfdf7efbf,
+static u32 adwDecim8[33] = {
+	    0xffffffff, 0xfffeffff, 0xffdffbff, 0xfefefeff, 0xfdf7efbf,
 	    0xfbdf7bdf, 0xf7bbddef, 0xeeeeeeef, 0xeeddbb77, 0xedb76db7,
 	    0xdb6db6db, 0xdb5b5b5b, 0xdab5ad6b, 0xd5ab55ab, 0xd555aaab,
 	    0xaaaaaaab, 0xaaaa5555, 0xaa952a55, 0xa94a5295, 0xa5252525,
diff -puN drivers/video/kyro/STG4000Ramdac.c~small-drivers-video-kyro-cleanups drivers/video/kyro/STG4000Ramdac.c
--- 25/drivers/video/kyro/STG4000Ramdac.c~small-drivers-video-kyro-cleanups	2005-01-25 21:27:05.923080176 -0800
+++ 25-akpm/drivers/video/kyro/STG4000Ramdac.c	2005-01-25 21:27:05.930079112 -0800
@@ -18,7 +18,6 @@
 
 static u32 STG_PIXEL_BUS_WIDTH = 128;	/* 128 bit bus width      */
 static u32 REF_CLOCK = 14318;
-STG4000REG __iomem *pSTGReg;
 
 int InitialiseRamdac(volatile STG4000REG __iomem * pSTGReg,
 		     u32 displayDepth,
diff -puN include/video/kyro.h~small-drivers-video-kyro-cleanups include/video/kyro.h
--- 25/include/video/kyro.h~small-drivers-video-kyro-cleanups	2005-01-25 21:27:05.925079872 -0800
+++ 25-akpm/include/video/kyro.h	2005-01-25 21:27:05.930079112 -0800
@@ -49,9 +49,7 @@ extern void *kyro_dev_virtual_regs_ptr(v
 extern unsigned int kyro_dev_fb_size(void);
 extern unsigned int kyro_dev_regs_size(void);
 
-extern int kyro_dev_overlay_create(u32 width, u32 height, int bLinear);
 extern u32 kyro_dev_overlay_offset(void);
-extern int kyro_dev_overlay_viewport_set(u32 x, u32 y, u32 width, u32 height);
 
 /*
  * benedict.gaster@superh.com
_
